unit Prop1;

{ **************************************************************************************

       RADical Concept's Task Bar Notification Icon Demo  for Delphi 2.0
       -----------------------------------------------------------------

       Date : 8 December 96

       This Demo when compiled produces the same exe as TBIcon.exe but without the
       TColourBlend component (Another component available from RADical Concept).

       Run Properties.Exe when compiled and DblClick (or Right Click and select
       properties) the Windows default icon (The Flag) located in your tray-notification
       area. Right click and select close from the menu options to close the application.


       Version 1.0

       Copyright  1996 RADical Concept. All rights reserved.

*************************************************************************************** }

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Menus, ComCtrls, StdCtrls, ExtCtrls, ColorBlend, Tabnotbk, ShellAPI,
  Registry, TBIcon;

Const crMyCursor = 5;

type
  TForm1 = class(TForm)
    TaskBarIcon1: TTaskBarIcon;
    PopupMenu1: TPopupMenu;
    CloseClick: TMenuItem;
    N1: TMenuItem;
    PropertiesClick: TMenuItem;
    TabbedNotebook1: TTabbedNotebook;
    Label8: TLabel;
    Bevel2: TBevel;
    Label7: TLabel;
    Label6: TLabel;
    Bevel1: TBevel;
    Label2: TLabel;
    Label1: TLabel;
    Label5: TLabel;
    Label9: TLabel;
    Label10: TLabel;
    Label11: TLabel;
    Label12: TLabel;
    Label13: TLabel;
    Label14: TLabel;
    Label15: TLabel;
    Label16: TLabel;
    Label17: TLabel;
    Label18: TLabel;
    Label19: TLabel;
    Button1: TButton;
    procedure CloseClickClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure PropertiesClickClick(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure Label17Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    Reg : TRegistry;
    Browser : String;
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}
{$R CURSOR1.res}

procedure TForm1.CloseClickClick(Sender: TObject);
{ Close application main form (Property Sheet). }
begin
  Close;
end;

procedure TForm1.FormCreate(Sender: TObject);
{ Set-up main form (Property Sheet). }
begin
  Left := -400;  // Place form out of bounds to stop screen flicker.
  Top := -400;
  Reg := TRegistry.Create;                     // Needed for extracting web browser path.
  TabbedNotebook1.ActivePage := 'Properties';  // Set to default page.
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  Form1.Hide;      // Hide property sheet (Not Close).
end;

procedure TForm1.PropertiesClickClick(Sender: TObject);
{ Re-set position to bring within screen boundary. }
begin
  Left := 20;
  Top := 20;
  Form1.Show;
end;

procedure TForm1.FormActivate(Sender: TObject);
Var  KeyStr : String;
begin
  // Get the default browser dirctory and params
  Reg.RootKey := HKEY_CLASSES_ROOT;
  if (Reg.OpenKey('.htm',False)) then
  Begin
    KeyStr := Reg.ReadString('');
    KeyStr := '\'+KeyStr+'\Shell\Open\Command';
    Reg.CloseKey;
    if (Reg.OpenKey(PChar(KeyStr),False)) then
    Begin
      KeyStr := Reg.ReadString('');
      delete(KeyStr,1,Pos('"',KeyStr));
      Browser := copy(KeyStr,0,Pos('"',KeyStr)-1);
      Reg.CloseKey;
    End;
  End;
  Screen.Cursors[crMyCursor] := LoadCursor(HInstance, 'MYHAND');
  Label17.Cursor := crMyCursor;
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
  Reg.Free;     // Free objects created by app.
end;

procedure TForm1.FormShow(Sender: TObject);
begin
  TabbedNotebook1.ActivePage := 'Properties';     // Default to first page.
end;

procedure TForm1.Label17Click(Sender: TObject);
begin
   if (SHellExecute(Handle, 'open',PChar(Browser),PChar('http://www.radcon.co.uk'),
       '',SW_SHOWNORMAL) <= 32) then
    Begin
     //  Error dialog here
     MessageDlg('Could not execute Web Browser.', mtError,[mbOk], 0);
    End;
end;

end.
